Bug 1619108 - [Samba] Unable to create files and directories in the root path of a smb mount in windows client
Summary: [Samba] Unable to create files and directories in the root path of a smb moun...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: samba
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: RHGS 3.4.0
Assignee: Anoop C S
QA Contact: Vivek Das
URL:
Whiteboard:
Depends On:
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-08-20 06:21 UTC by Vivek Das
Modified: 2019-01-21 06:05 UTC (History)
7 users (show)

Fixed In Version: samba-4.7.5-110.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 06:56:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2613 None None None 2018-09-04 06:56:32 UTC
Samba Project 13585 None None None 2019-05-08 19:51:29 UTC

Description Vivek Das 2018-08-20 06:21:49 UTC
Description of problem:
After upgrading to glusterfs-3.12.2-16.el7rhgs.x86_64 build, creation of data on the root path of smb mount over a windows client fails with "file too large for the destination file system" error.

Version-Release number of selected component (if applicable):
glusterfs-3.12.2-16.el7rhgs.x86_64
samba-4.7.5-107.el7rhgs.x86_64
Windows 10
Windows 8

How reproducible:
Always

Steps to Reproduce:
1. Upgrade to glusterfs-3.12.2-16.el7rhgs.x86_64
2. Mount smb in windows client using net use command
3. Try to create a directory or file in the root path of the mount
eg: mkdir test | right click New Folder etc

Actual results:
Fails

Expected results:
Should create data successfully

Additional info:

Comment 10 errata-xmlrpc 2018-09-04 06:56:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2613

Comment 11 Gelber 2019-01-18 19:59:48 UTC
Hi I am still experiencing the same issue as referenced by the OP. Here are the packages I have installed.

samba-vfs-glusterfs-4.8.3-4
samba-client-libs-4.8.3-4
samba-winbind-modules-4.8.3-4
samba-client-4.8.3-4
samba-common-4.8.3-4
samba-winbind-clients-4.8.3-4
samba-common-libs-4.8.3-4
samba-common-tools-4.8.3-4
samba-4.8.3-4
samba-libs-4.8.3-4
samba-winbind-4.8.3-4
samba-winbind-krb5-locator-4.8.3-4
glusterfs-server-5.2-1
samba-vfs-glusterfs-4.8.3-4


Trying from windows 10 and cannot make files/folders in the root of the share. Works fines if its in a directory below the root of the share.

Comment 12 Anoop C S 2019-01-21 06:05:25 UTC
(In reply to Gelber from comment #11)
> Hi I am still experiencing the same issue as referenced by the OP. Here are
> the packages I have installed.
> 
> samba-vfs-glusterfs-4.8.3-4
> samba-client-libs-4.8.3-4
> samba-winbind-modules-4.8.3-4
> samba-client-4.8.3-4
> samba-common-4.8.3-4
> samba-winbind-clients-4.8.3-4
> samba-common-libs-4.8.3-4
> samba-common-tools-4.8.3-4
> samba-4.8.3-4
> samba-libs-4.8.3-4
> samba-winbind-4.8.3-4
> samba-winbind-krb5-locator-4.8.3-4
> glusterfs-server-5.2-1
> samba-vfs-glusterfs-4.8.3-4

I hope these versions stem from a CentOS installation.

This is Red Hat Gluster Storage(RHGS) product specific bug report which is maintained separately. GlusterFS and Samba package versions need not match what you receive from CentOS channel and/or mirrors.

Upstream bug is fixed from following versions:
v4-7 - v4.7.11 onwards
v4-8 - v4.8.6 onwards
v4-9 - all versions


Note You need to log in before you can comment on or make changes to this bug.